11. Settings
Prev | Chapter 1. Administration | Next

## 11. Settings

This screen allows you to modify the configuration of the application.

- Application title

  Title which appears in heading of the application.

- Application subtitle

  Subtitle which appears in heading of the application.

- Welcome text

  Text displayed on the home page of the application. This text can contain HTML tags.

- Default language

  The default language is selected when the application could not determine the user's browser language. The default language is also used when sending email to multiple users.

  Default: English

- Date format

  Lets you choose how dates are displayed:

  - Language based: the dates will be displayed according to the format defined for each language (MM/JJ/AAAA for English)

  - ISO 8601: the dates will be always displayed with the ISO format (YYYY-MM-DD)

  Default: Language based

- Authent. required

  If this option is checked, no page of the application is accessible in an anonymous way. The users must login to access it.

  Default: No

- Self-registration enabled

  If this option is checked, self registration is allowed.

  Default: Yes

- Lost password

  If this option is checked, lost password functionality is available.

  Default: Yes

- Attachment max. size

  Maximum size of uploaded files (in kylo-bytes)

  Default: 2048 (i.e. 2MB)

- Issues export limit

  Maximum number of issues contained in CSV and PDF exports.

  Default: 500

- Emission mail address

  Email address used in the "From" field of messages sent to users.

- Host name

  Host name of the application. This name is used to write URL in emails sent to users.

- Text formatting

  Formatting method applied to the "description" fields of the issues, news, documents...

  "Textile" option is only available if RedColth ruby library is present.

- Wiki history compression

  Lets you activate compression for wiki history storage (reduces database size).

  Default: disabled

- Feed content limit

  Maximum number of records contained in RSS feeds.

  Default: 15

- Autofetch commits

  If this option is activated, the application automatically retrieves the new revisions when a user consults the repository.

  Default: Yes

  You can disable this option and automate the call to Repository#fetch_changesets to regularly retrieve the revisions for all of the repositories in background.

  Example : `ruby script/runner "Repository.fetch_changesets"`

- Enable WS for repository management

  This option should be activated only if you installed the script for automatic SVN repository creation.

  Default: No

Prev | Up | Next
10. Authentication | Home | 12. Information